package com.cxytiandi.springboot_mongodb_pool.config;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.SimpleMongoDbFactory;
import org.springframework.data.mongodb.core.convert.DbRefResolver;
import org.springframework.data.mongodb.core.convert.DefaultDbRefResolver;
import org.springframework.data.mongodb.core.convert.MappingMongoConverter;
import org.springframework.data.mongodb.core.mapping.MongoMappingContext;

import com.mongodb.MongoClient;
import com.mongodb.MongoClientURI;

//@Configuration
public class MongoConfig {

	@Bean
	public MongoTemplate mongoTemplate() {
		MongoClient mongo = new MongoClient(new MongoClientURI("mongodb://localhost:27017/api"));
		SimpleMongoDbFactory mongoDbFactory = new SimpleMongoDbFactory(mongo, "api");
		DbRefResolver dbRefResolver = new DefaultDbRefResolver(mongoDbFactory);
		MongoMappingContext context = new MongoMappingContext();
		MappingMongoConverter mappingConverter = new MappingMongoConverter(dbRefResolver,
				context);
		return new MongoTemplate(mongoDbFactory, mappingConverter);
	}
	
	@Bean
	@Qualifier("mongoyjh")
	public MongoTemplate mongoTemplate2() {
		MongoClient mongo = new MongoClient(new MongoClientURI("mongodb://localhost:27017/test"));
		SimpleMongoDbFactory mongoDbFactory = new SimpleMongoDbFactory(mongo, "test");
		DbRefResolver dbRefResolver = new DefaultDbRefResolver(mongoDbFactory);
		MongoMappingContext context = new MongoMappingContext();
		MappingMongoConverter mappingConverter = new MappingMongoConverter(dbRefResolver,
				context);
		return new MongoTemplate(mongoDbFactory, mappingConverter);
	}
}
